<html>
<head>
<title>Ogre::GLRTTManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLRTTManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLRTTManager" --><!-- doxytag: inherits="Singleton&lt; GLRTTManager &gt;" -->
<p>Manager/factory for RenderTextures.  
 <a href="classOgre_1_1GLRTTManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLRenderTexture_8h_source.html">OgreGLRenderTexture.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLRTTManager:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLRTTManager__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLRTTManager_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLRTTManager_inherit__map" id="Ogre_1_1GLRTTManager_inherit__map">
<area shape="rect" id="node5" href="classOgre_1_1GLCopyingRTTManager.html" title="Simple, copying manager/factory for RenderTextures." alt="" coords="5,160,203,189"/><area shape="rect" id="node7" href="classOgre_1_1GLFBOManager.html" title="Factory for GL Frame Buffer Objects, and related things." alt="" coords="227,160,379,189"/><area shape="rect" id="node9" href="classOgre_1_1GLPBRTTManager.html" title="Manager for rendertextures and PBuffers (offscreen rendering contexts)" alt="" coords="403,160,571,189"/><area shape="rect" id="node2" href="classOgre_1_1Singleton.html" title="Ogre::Singleton\&lt; GLRTTManager \&gt;" alt="" coords="188,5,417,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLRTTManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLRTTManager.html#a22926ca1dc7a6ca3b249e3bdf5473da6">~GLRTTManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1RenderTexture.html">RenderTexture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLRTTManager.html#aac78ded603f500c9f40a3d538f585bfd">createRenderTexture</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> &amp;target, bool writeGamma, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a texture rendertarget object.  <a href="#aac78ded603f500c9f40a3d538f585bfd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLRTTManager.html#ad75c58c30fc8a25671aca04d9c213454">checkFormat</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if a certain format is usable as rendertexture format.  <a href="#ad75c58c30fc8a25671aca04d9c213454"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLRTTManager.html#ac9b94d66d780e46d084cb142b92c2153">bind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind a certain render target.  <a href="#ac9b94d66d780e46d084cb142b92c2153"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLRTTManager.html#aac3b27462f81df6c88359af32f551efc">unbind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unbind a certain render target.  <a href="#aac3b27462f81df6c88359af32f551efc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLRTTManager.html#a9009ddc7bebd9a077c2152e9432ff634">getBestDepthStencil</a> (GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLRTTManager.html#a1075312a92286d2e9c59eba718181f44">createMultiRenderTarget</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a multi render target.  <a href="#a1075312a92286d2e9c59eba718181f44"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLRTTManager.html#a106e43311c8d274d515f7b954e4fb24f">getSupportedAlternative</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the closest supported alternative format.  <a href="#a106e43311c8d274d515f7b954e4fb24f"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> (void)</td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Manager/factory for RenderTextures. </p>

<p>Definition at line <a class="el" href="OgreGLRenderTexture_8h_source.html#l00064">64</a> of file <a class="el" href="OgreGLRenderTexture_8h_source.html">OgreGLRenderTexture.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a22926ca1dc7a6ca3b249e3bdf5473da6"></a><!-- doxytag: member="Ogre::GLRTTManager::~GLRTTManager" ref="a22926ca1dc7a6ca3b249e3bdf5473da6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLRTTManager.html#a22926ca1dc7a6ca3b249e3bdf5473da6">Ogre::GLRTTManager::~GLRTTManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac9b94d66d780e46d084cb142b92c2153"></a><!-- doxytag: member="Ogre::GLRTTManager::bind" ref="ac9b94d66d780e46d084cb142b92c2153" args="(RenderTarget *target)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLRTTManager.html#ac9b94d66d780e46d084cb142b92c2153">Ogre::GLRTTManager::bind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bind a certain render target. </p>

<p>Implemented in <a class="el" href="classOgre_1_1GLCopyingRTTManager.html#a6b4e8f461b0e08b639886898ed1469ac">Ogre::GLCopyingRTTManager</a>, <a class="el" href="classOgre_1_1GLFBOManager.html#a2f2d3f47f82a3b009c4a0037f27de6d8">Ogre::GLFBOManager</a>, and <a class="el" href="classOgre_1_1GLPBRTTManager.html#ae389b2ad292ffd66f88436567356bbea">Ogre::GLPBRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="ad75c58c30fc8a25671aca04d9c213454"></a><!-- doxytag: member="Ogre::GLRTTManager::checkFormat" ref="ad75c58c30fc8a25671aca04d9c213454" args="(PixelFormat format)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1GLRTTManager.html#ad75c58c30fc8a25671aca04d9c213454">Ogre::GLRTTManager::checkFormat</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if a certain format is usable as rendertexture format. </p>

<p>Implemented in <a class="el" href="classOgre_1_1GLCopyingRTTManager.html#ae9b5fe2e2e8ae83413f8d99cb7705d9b">Ogre::GLCopyingRTTManager</a>, <a class="el" href="classOgre_1_1GLFBOManager.html#a8a95d8f7f7aedd2c70b2c9fe546528f1">Ogre::GLFBOManager</a>, and <a class="el" href="classOgre_1_1GLPBRTTManager.html#a8c720a2e6fbdebf3950e35b62b005279">Ogre::GLPBRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a1075312a92286d2e9c59eba718181f44"></a><!-- doxytag: member="Ogre::GLRTTManager::createMultiRenderTarget" ref="a1075312a92286d2e9c59eba718181f44" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a>* <a class="el" href="classOgre_1_1GLRTTManager.html#a1075312a92286d2e9c59eba718181f44">Ogre::GLRTTManager::createMultiRenderTarget</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a multi render target. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1GLFBOManager.html#a34ef91963d6db79ab0cc55861df1462d">Ogre::GLFBOManager</a>.</p>

</div>
</div>
<a class="anchor" id="aac78ded603f500c9f40a3d538f585bfd"></a><!-- doxytag: member="Ogre::GLRTTManager::createRenderTexture" ref="aac78ded603f500c9f40a3d538f585bfd" args="(const String &amp;name, const GLSurfaceDesc &amp;target, bool writeGamma, uint fsaa)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderTexture.html">RenderTexture</a>* <a class="el" href="classOgre_1_1GLRTTManager.html#aac78ded603f500c9f40a3d538f585bfd">Ogre::GLRTTManager::createRenderTexture</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>writeGamma</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>fsaa</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a texture rendertarget object. </p>

<p>Implemented in <a class="el" href="classOgre_1_1GLCopyingRTTManager.html#a95d128f52f779b5efa1d7ca3f1fb3d5d">Ogre::GLCopyingRTTManager</a>, <a class="el" href="classOgre_1_1GLFBOManager.html#adcc5f5828dd6106ea3fa194924db66b2">Ogre::GLFBOManager</a>, and <a class="el" href="classOgre_1_1GLPBRTTManager.html#a9e4ff5346d8335faf402334af4af9322">Ogre::GLPBRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a9009ddc7bebd9a077c2152e9432ff634"></a><!-- doxytag: member="Ogre::GLRTTManager::getBestDepthStencil" ref="a9009ddc7bebd9a077c2152e9432ff634" args="(GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLRTTManager.html#a9009ddc7bebd9a077c2152e9432ff634">Ogre::GLRTTManager::getBestDepthStencil</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>internalFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>depthFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>stencilFormat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1GLFBOManager.html#a5427433796eddd9ca51bce5a015200c0">Ogre::GLFBOManager</a>.</p>

<p>Definition at line <a class="el" href="OgreGLRenderTexture_8h_source.html#l00087">87</a> of file <a class="el" href="OgreGLRenderTexture_8h_source.html">OgreGLRenderTexture.h</a>.</p>

<p>References <a class="el" href="OgreGLESPrerequisites_8h_source.html#l00106">GL_NONE</a>.</p>

</div>
</div>
<a class="anchor" id="a7757bd7ac3702c144502e53ad6491888"></a><!-- doxytag: member="Ogre::GLRTTManager::getSingleton" ref="a7757bd7ac3702c144502e53ad6491888" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> &amp; <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00090">90</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7ab51c46521b89723d6186a52a7e0d7b"></a><!-- doxytag: member="Ogre::GLRTTManager::getSingletonPtr" ref="a7ab51c46521b89723d6186a52a7e0d7b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00092">92</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a106e43311c8d274d515f7b954e4fb24f"></a><!-- doxytag: member="Ogre::GLRTTManager::getSupportedAlternative" ref="a106e43311c8d274d515f7b954e4fb24f" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1GLRTTManager.html#a106e43311c8d274d515f7b954e4fb24f">Ogre::GLRTTManager::getSupportedAlternative</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the closest supported alternative format. </p>
<p>If format is supported, returns format. </p>

</div>
</div>
<a class="anchor" id="aac3b27462f81df6c88359af32f551efc"></a><!-- doxytag: member="Ogre::GLRTTManager::unbind" ref="aac3b27462f81df6c88359af32f551efc" args="(RenderTarget *target)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLRTTManager.html#aac3b27462f81df6c88359af32f551efc">Ogre::GLRTTManager::unbind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unbind a certain render target. </p>
<p>This is called before binding another <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>, and before the context is switched. It can be used to do a copy, or just be a noop if direct binding is used. </p>

<p>Implemented in <a class="el" href="classOgre_1_1GLCopyingRTTManager.html#a34994711fcc6b8cbf2fe028251461c34">Ogre::GLCopyingRTTManager</a>, <a class="el" href="classOgre_1_1GLFBOManager.html#aa17c48a8227a5428e39a750e9fe9eda6">Ogre::GLFBOManager</a>, and <a class="el" href="classOgre_1_1GLPBRTTManager.html#a9c0bf473c3112935173538969020fdbe">Ogre::GLPBRTTManager</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::GLRTTManager::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLRenderTexture_8h_source.html">OgreGLRenderTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:20
</p>
</body>
</html>
